import { getInitials } from './cocarde.helper';

describe('getInitials', () => {
  test.each([
    { siteName: 'X', expected: 'X' },
    { siteName: 'Toto', expected: 'TO' },
    { siteName: 'Ouest-France', expected: 'OF' },
    { siteName: 'Voiles et voiliers', expected: 'VV' },
    { siteName: "Nom super long avec plein d'adjectifs", expected: 'NS' },
    { siteName: '', expected: '' },
  ])('with $siteName should diplay $expected', ({ siteName, expected }) => {
    expect(getInitials(siteName)).toEqual(expected);
  });
});
